Tag: Android studio

Impossible d'installer Android Studio dans Ubuntu

J'utilise Ubuntu Gnome 14.04, et j'ai Java 8 installé (JDK et JRE). Lorsque j'étais en train d'installer Android Studio, tout a fonctionné, mais un message est apparu en disant: Impossible d'exécuter l'outil SDK mksdcard Comment puis-je installer Android Studio correctement, ou comment puis-je résoudre ce problème?

Comment faire pour que WRAP_CONTENT fonctionne sur un RecyclerView

J'ai un DialogFragment qui contient un RecyclerView (une liste de cartes). Dans ce RecyclerView sont une ou plusieurs CardViews qui peuvent avoir n'importe quelle hauteur. Je souhaite donner à ce DialogFragment la hauteur correcte en fonction des CardViews contenues. Normalement, cela serait simple, je définirai wrap_content sur RecyclerView comme ça. <android.support.v7.widget.RecyclerView … xmlns:tools="http://schemas.android.com/tools" android:id="@+id/recycler_view" android:layout_width="match_parent" […]

La hauteur de vue de Recycleur imbriqué n'emballe pas son contenu

J'ai une application qui gère des collections de livres (comme les listes de lecture). Je souhaite afficher une liste de collection avec un RecyclerView vertical et à l'intérieur de chaque ligne, une liste de livre dans une RecyclerView horizontale. Lorsque j'ai configuré le layout_height de la RecyclerView horizontale interne à 300dp, il s'affiche correctement, mais […]

Toutes les bibliothèques com.android.support doivent utiliser la même spécification de version exacte

Après la mise à jour sur Android Studio 2.3, j'ai reçu ce message d'erreur. Je sais que c'est juste un indice, car l'application fonctionne normalement, mais c'est vraiment étrange. Toutes les bibliothèques com.android.support doivent utiliser la même spécification de version (les versions de mixage peuvent entraîner des blocages d'exécution). Les versions trouvées 25.1.1, 24.0.0. Les […]

Impossible d'instancier l'application com.android.tools.fd.runtime.BootstrapApplication? Android

J'ai mis à jour mon Android Studio vers la version 2.0. Mais j'ai eu un problème, je ne sais pas pourquoi? Les informations importantes sur l'erreur: Impossible d'instancier l'application com.android.tools.fd.runtime.BootstrapApplication: java.lang.IllegalStateException: java.lang.ClassNotFoundException: com.eallcn.rentagent.MyDebugEallApplication J'ai cherché une longue période, mais je n'ai pas trouvé la bonne réponse, vous pouvez voir le lien En même temps que […]

Le plugin est trop vieux, mettez à jour une version plus récente ou définissez la variable d'environnement ANDROID_DAILY_OVERRIDE pour

Aujourd'hui, je viens d'importer un exemple d'application depuis Android SDK en tant que module dans mon projet (analytics) et soudainement j'ai eu cette erreur gradle lorsque j'essaie de la synchroniser: le Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE envrinment variable to… C'est mon fichier gradle application: apply plugin: […]

Comment ajouter une image au dossier "drawable" dans Android Studio?

Je dois ajouter une image au dossier res/drawable … Lorsque je choisis un new > image asset , il apparaît une boîte de dialogue pour choisir Asset Type … Comment puis-je ajouter une image au dossier res/drawable ?

Erreur lors de la récupération du parent pour l'élément: Aucune ressource trouvée qui correspond au nom donné après la mise à niveau vers AppCompat v23

J'ai toujours programmé Android avec Eclipse et j'ai décidé de commencer à migrer vers Android Studio . J'ai décidé d'utiliser le même SDK que j'ai déjà eu pour Eclipse, puis: Démarré un nouveau projet Définissez minimum SDK 4.0 (API niveau 14) Choisissez une option d'activité en blanc Utilisé les noms par défaut pour le nom […]

Fusion Manifeste échouée: uses-sdk: minSdkVersion 14

Depuis le téléchargement du dernier SDK et l'installation d'Android Studio, mon projet ne parvient pas à construire. Je reçois le message suivant: Error:Gradle: Execution failed for task ':SampleProject:processProdDebugManifest'. > Manifest merger failed : uses-sdk:minSdkVersion 14 cannot be smaller than version L declared in library com.android.support:support-v4:21.0.0-rc1

HttpClient ne sera pas importé dans Android Studio

J'ai une classe simple écrite dans Android Studio: package com.mysite.myapp; import org.apache.http.client.HttpClient; public class Whatever { public void headBangingAgainstTheWallExample () { HttpClient client = new DefaultHttpClient(); } } Et à partir de cela, j'ai l'erreur de temps de compilation suivante: Cannot resolve symbol HttpClient HttpClient n'est-il pas inclus dans le SDK Android Studio? Même si […]

coAndroid est un fan Android de Google, tout sur les téléphones Android, Android Wear, Android Dev et Android Games Apps.